(define (domain rpg-domain-complete-noliter)
  (:requirements :typing :durative-actions :equality :fluents :negative-preconditions :disjunctive-preconditions)
  (:types location city - location village - location person man - person woman - person)
  (:constants City1 City2 City3 City4 City5 City6 City7 City8 City9 City10 - city Village - village)
  (:predicates
      (at_place ?l - location ?p - person)
      (move_goal ?place1 - location ?place2 - location ?person - person)
      (find_a_lot_of_money_init ?p - person)
      (find_a_lot_of_money_goal ?p - person)
      (earn_a_lot_of_money_init ?p - person)
      (earn_a_lot_of_money_goal ?p - person)
      (earn_some_money_init ?p - person)
      (earn_some_money_goal ?p - person)
      (earn_quickly_a_lot_of_money_init ?p - person)
      (earn_quickly_a_lot_of_money_goal ?p - person)
      (win_a_bit_of_money_init ?p - person)
      (win_a_bit_of_money_goal ?p - person)
      (win_a_lot_of_money_init ?p - person)
      (win_a_lot_of_money_goal ?p - person)
      (win_a_bit_of_money_in_roulette_init ?p - person)
      (win_a_bit_of_money_in_roulette_goal ?p - person)
      (win_a_lot_of_money_in_roulette_init ?p - person)
      (win_a_lot_of_money_in_roulette_goal ?p - person)
      (win_a_bit_of_money_in_poker_init ?p - person)
      (win_a_bit_of_money_in_poker_goal ?p - person)
      (win_a_lot_of_money_in_poker_init ?p - person)
      (win_a_lot_of_money_in_poker_goal ?p - person)
      (married ?p - person)
      (divorced ?p - person)
      (have_met ?p1 ?p2 - person)
      (meet_goal ?p1 ?p2 - person)
      (have_relationship ?m - man ?w - woman)
      (date_goal ?m - man ?w - woman)
      (get_married_goal ?m - man ?w - woman ?l - location)
      (are_married ?m - man ?w - woman)
      (are_divorced ?m - man ?w - woman)
      (get_divorced_goal ?m - man ?w - woman ?l - location)
      (had_affair ?m - man ?w - woman)
      (have_short_affair_goal ?m - man ?w - woman)
      (have_very_short_affair_goal ?m - man ?w - woman)
      (have_long_affair_goal ?m - man ?w - woman)
      (study_advanced_goal ?p - person)
      (study_university_in_City10_goal ?p - person)
      (learn_to_ride_a_horse_goal ?p - person)
      (learn_to_hunt_goal ?p - person)
      (soldier ?p - person)
      (lieutenant ?p - person)
      (captain ?p - person)
      (colonel ?p - person)
      (general ?p - person)
      (be_ascended_to_lieutenant_goal ?p - person)
      (be_ascended_to_captain_goal ?p - person)
      (be_ascended_to_colonel_goal ?p - person)
      (be_ascended_to_general_goal ?p - person)
      (studying_military_academy ?p - person)
      (study_military_academy_in_City10_goal ?p - person)
      (learn_a_trick_goal ?p - person)
      (learn_other_trick_goal ?p - person)
      (take_part_City1_battle_going_on)
      (take_part_City1_battle_init ?p - person)
      (take_part_City1_battle_goal ?p - person)
      (take_part_City2_battle_going_on)
      (take_part_City2_battle_init ?p - person)
      (take_part_City2_battle_goal ?p - person)
      (take_part_City3_battle_going_on)
      (take_part_City3_battle_init ?p - person)
      (take_part_City3_battle_goal ?p - person)
      (take_part_City4_battle_going_on)
      (take_part_City4_battle_init ?p - person)
      (take_part_City4_battle_goal ?p - person)
      (take_part_City5_battle_going_on)
      (take_part_City5_battle_init ?p - person)
      (take_part_City5_battle_goal ?p - person)
      (take_part_City6_battle_going_on)
      (take_part_City6_battle_init ?p - person)
      (take_part_City6_battle_goal ?p - person)
      (take_part_City7_battle_going_on)
      (take_part_City7_battle_init ?p - person)
      (take_part_City7_battle_goal ?p - person)
      (take_part_City8_battle_going_on)
      (take_part_City8_battle_init ?p - person)
      (take_part_City8_battle_goal ?p - person)
      (take_part_City9_battle_going_on)
      (take_part_City9_battle_init ?p - person)
      (take_part_City9_battle_goal ?p - person)
      (take_part_City10_battle_going_on)
      (take_part_City10_battle_init ?p - person)
      (take_part_City10_battle_goal ?p - person)
      (battles_wrapper_cond)
      (battles_wrapper_going_on)
      (battles_wrapper_started)
      (battles_dummy1_cond)
      (battles_dummy2_cond)
      (battles_dummy3_cond)
      (battles_dummy4_cond)
      (battles_dummy5_cond)
      (battles_dummy6_cond)
      (battles_dummy7_cond)
      (battles_dummy8_cond)
      (battles_dummy9_cond)
      (battles_dummy10_cond)
      (battles_dummy11_cond)
      (mage ?p - person)
      (studying_magic_university ?p - person)
      (study_magic_university_in_City5_goal ?p - person)
      (learn_fireball_level1_goal ?p - person)
      (learn_fireball_level2_goal ?p - person)
      (learn_fireball_level3_goal ?p - person)
      (learn_fireball_level4_goal ?p - person)
      (learn_healing_level1_goal ?p - person)
      (learn_healing_level2_goal ?p - person)
      (learn_healing_level3_goal ?p - person)
      (learn_healing_level4_goal ?p - person)
      (learn_magic_shield_level1_goal ?p - person)
      (learn_magic_shield_level2_goal ?p - person)
      (learn_magic_shield_level3_goal ?p - person)
      (learn_magic_shield_level4_goal ?p - person)
      (learn_freezing_level1_goal ?p - person)
      (learn_freezing_level2_goal ?p - person)
      (learn_freezing_level3_goal ?p - person)
      (learn_freezing_level4_goal ?p - person)
      (learn_enchanting_level1_goal ?p - person)
      (learn_enchanting_level2_goal ?p - person)
      (learn_enchanting_level3_goal ?p - person)
      (learn_enchanting_level4_goal ?p - person)
      (get_first_degree_of_initiation_goal ?p - person)
      (get_second_degree_of_initiation_goal ?p - person)
      (get_third_degree_of_initiation_goal ?p - person)
      (get_fourth_degree_of_initiation_goal ?p - person)
      (attend_magic_conference_in_City1_init ?p - person)
      (attend_magic_conference_in_City1_goal ?p - person)
      (attend_magic_conference_in_City1_going_on)
      (attend_magic_conference_in_City2_init ?p - person)
      (attend_magic_conference_in_City2_goal ?p - person)
      (attend_magic_conference_in_City2_going_on)
      (attend_magic_conference_in_City3_init ?p - person)
      (attend_magic_conference_in_City3_goal ?p - person)
      (attend_magic_conference_in_City3_going_on)
      (attend_magic_conference_in_City4_init ?p - person)
      (attend_magic_conference_in_City4_goal ?p - person)
      (attend_magic_conference_in_City4_going_on)
      (attend_magic_conference_in_City5_init ?p - person)
      (attend_magic_conference_in_City5_goal ?p - person)
      (attend_magic_conference_in_City5_going_on)
      (conferences_wrapper_cond)
      (conferences_wrapper_going_on)
      (conferences_wrapper_started)
      (conferences_dummy1_cond)
      (conferences_dummy2_cond)
      (conferences_dummy3_cond)
      (conferences_dummy4_cond)
      (conferences_dummy5_cond)
      (conferences_dummy6_cond)
      (go_to_the_theatre_goal ?p - person)
      (go_to_a_trip_goal ?p - person)
      (go_to_another_trip_goal ?p - person)
      (find_a_quaterfoil_goal ?p - person)
      (sing_drunk_in_a_pub_goal ?p - person)
      (survive_a_bear_attack_goal ?p - person)
      (meet_a_famous_hero_goal ?p - person)
  )
  (:functions
      (number_thrown_find_a_lot_of_money ?p - person)
      (number_thrown_earn_a_lot_of_money ?p - person)
      (number_thrown_earn_some_money ?p - person)
      (number_thrown_earn_quickly_a_lot_of_money ?p - person)
      (number_thrown_win_a_bit_of_money ?p - person)
      (number_thrown_win_a_lot_of_money ?p - person)
      (number_thrown_win_a_bit_of_money_in_roulette ?p - person)
      (number_thrown_win_a_lot_of_money_in_roulette ?p - person)
      (number_thrown_win_a_bit_of_money_in_poker ?p - person)
      (number_thrown_win_a_lot_of_money_in_poker ?p - person)
      (number_thrown_take_part_City1_battle ?p - person)
      (number_thrown_take_part_City2_battle ?p - person)
      (number_thrown_take_part_City3_battle ?p - person)
      (number_thrown_take_part_City4_battle ?p - person)
      (number_thrown_take_part_City5_battle ?p - person)
      (number_thrown_take_part_City6_battle ?p - person)
      (number_thrown_take_part_City7_battle ?p - person)
      (number_thrown_take_part_City8_battle ?p - person)
      (number_thrown_take_part_City9_battle ?p - person)
      (number_thrown_take_part_City10_battle ?p - person)
      (money ?p - person)
      (battles_count ?p - person)
      (level1_spells_count ?p - person)
      (level2_spells_count ?p - person)
      (level3_spells_count ?p - person)
      (level4_spells_count ?p - person)
  )
  (:durative-action move
		    :parameters (?place1 ?place2 - location ?person - person)
  	    :duration (= ?duration 3)
		    :condition (at start (at_place ?place1 ?person))
		    :effect 
		      (and
		        (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
		        (at start (not (at_place ?place1 ?person)))
            (at end (at_place ?place2 ?person))
            (at end (move_goal ?place1 ?place2 ?person))
          )
  )
  (:durative-action find_a_lot_of_money
		    :parameters (?p - person)
		    :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_find_a_lot_of_money ?p) 20)
                (find_a_lot_of_money_init ?p)
              )
            )
          )
		    :effect
          (and 
            (at end (increase (money ?p) 3000))
            (at end (find_a_lot_of_money_goal ?p))
          )
  )
  (:durative-action earn_a_lot_of_money
		    :parameters (?p - person)
	      :duration (= ?duration 1000)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_earn_a_lot_of_money ?p) 95)
                (earn_a_lot_of_money_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 3000))
            (at end (earn_a_lot_of_money_goal ?p))
          )
  )
  (:durative-action earn_some_money
		    :parameters (?p - person)
	      :duration (= ?duration 400)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_earn_some_money ?p) 95)
                (earn_some_money_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 1000))
            (at end (earn_some_money_goal ?p))
          )
  )
  (:durative-action earn_quickly_a_lot_of_money
		    :parameters (?p - person)
	      :duration (= ?duration 100)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_earn_quickly_a_lot_of_money ?p) 30)
                (earn_quickly_a_lot_of_money_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 3000))
            (at end (earn_quickly_a_lot_of_money_goal ?p))
          )
  )
  (:durative-action win_a_bit_of_money_in_roulette
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_win_a_bit_of_money_in_roulette ?p) 40)
                (win_a_bit_of_money_in_roulette_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 1000))
            (at end (win_a_bit_of_money_in_roulette_goal ?p))
          )
  )
  (:durative-action win_a_lot_of_money_in_roulette
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_win_a_lot_of_money_in_roulette ?p) 10)
                (win_a_lot_of_money_in_roulette_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 3000))
            (at end (win_a_lot_of_money_in_roulette_goal ?p))
          )
  )
  (:durative-action win_a_bit_of_money_in_poker
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_win_a_bit_of_money_in_poker ?p) 40)
                (win_a_bit_of_money_in_poker_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 1000))
            (at end (win_a_bit_of_money_in_poker_goal ?p))
          )
  )
  (:durative-action win_a_lot_of_money_in_poker
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start
              (or 
                (<= (number_thrown_win_a_lot_of_money_in_poker ?p) 10)
                (win_a_lot_of_money_in_poker_init ?p)
              )
            )
          )
		    :effect 
          (and
            (at end (increase (money ?p) 3000))
            (at end (win_a_lot_of_money_in_poker_goal ?p))
          )
  )
  (:durative-action meet
		    :parameters (?p1 ?p2 - person ?l - location)
		    :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place ?l ?p1))
            (over all (at_place ?l ?p2))
          )
		    :effect 
          (and
            (at end (have_met ?p1 ?p2))
            (at end (have_met ?p2 ?p1))
            (at end (meet_goal ?p2 ?p1))
          )
  )
  (:durative-action date
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 200)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (have_met ?m ?w))
            (over all (not (married ?m)))
            (over all (not (married ?w)))
          )
		    :effect 
		      (and
            (at end (have_relationship ?m ?w))
            (at end (date_goal ?m ?w))
          )
  )
  (:durative-action get_married
		    :parameters (?m - man ?w - woman ?l - location)
		    :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (have_relationship ?m ?w))
            (at start (not (married ?m)))
            (at start (not (married ?w)))
            (over all (at_place ?l ?m))
            (over all (at_place ?l ?w))
          )
		    :effect
          (and
            (at start (are_married ?m ?w))
            (at start (married ?m))
            (at start (married ?w))
            (at end (get_married_goal ?m ?w ?l))
          )
  )
  (:durative-action get_divorced
		    :parameters (?m - man ?w - woman ?l - location)
		    :duration (= ?duration 1)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (are_married ?m ?w))
            (over all (at_place ?l ?m))
            (over all (at_place ?l ?w))
          )
		    :effect
          (and
            (at end (are_divorced ?m ?w))
            (at end (not (are_married ?m ?w)))
            (at end (divorced ?m))
            (at end (divorced ?w))
            (at end (not (married ?m)))
            (at end (not (married ?w)))
            (at end (get_divorced_goal ?m ?w ?l))
          )
  )
  (:durative-action have_short_affair
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 100)
		    :condition 
          (and
            (at start (have_met ?m ?w))
            (at start
              (or
                (married ?m)
                (married ?w)
              )
            )
            (at start (not (are_married ?m ?w)))
          )
		    :effect
		      (and
            (at end (had_affair ?m ?w))
            (at end (have_short_affair_goal ?m ?w))
          )
  )
  (:durative-action have_very_short_affair
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 1)
		    :condition 
          (and
            (at start (have_met ?m ?w))
            (at start
              (or
                (married ?m)
                (married ?w)
              )
            )
            (at start (not (are_married ?m ?w)))
          )
		    :effect
		      (and
            (at end (had_affair ?m ?w))
            (at end (have_very_short_affair_goal ?m ?w))
          )
  )
  (:durative-action have_long_affair
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 300)
		    :condition 
          (and
            (at start (have_met ?m ?w))
            (at start
              (or
                (married ?m)
                (married ?w)
              )
            )
            (at start (not (are_married ?m ?w)))
          )
		    :effect
		      (and
            (at end (had_affair ?m ?w))
            (at end (have_long_affair_goal ?m ?w))
          )
  )
  (:durative-action study_advanced
		    :parameters (?p - person ?c - city)
	      :duration (= ?duration 1500)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place ?c ?p))
          )
		    :effect 
          (at end (study_advanced_goal ?p))
  )
  (:durative-action study_university_in_City10
		    :parameters (?p - person)
	      :duration (= ?duration 1500)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (study_advanced_goal ?p))
            (over all (at_place City10 ?p))
          )
		    :effect 
          (at end (study_university_in_City10_goal ?p))
  )
  (:durative-action learn_to_ride_a_horse
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
          )
		    :effect 
          (at end (learn_to_ride_a_horse_goal ?p))
  )
  (:durative-action learn_to_hunt
		    :parameters (?p - person ?v - village)
	      :duration (= ?duration 60)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place ?v ?p))
          )
		    :effect 
          (at end (learn_to_hunt_goal ?p))
  )
  (:durative-action battles_wrapper
		    :parameters ()
	      :duration (= ?duration 1918)
		    :condition (at start (battles_wrapper_cond))
		    :effect 
          (and
            (at start (battles_wrapper_going_on))
            (at start (battles_dummy1_cond))
            (at start (not (battles_wrapper_cond)))
            (at start (battles_wrapper_started))
            (at end (not (battles_wrapper_going_on)))
          )
  )
  (:durative-action battles_dummy1
		    :parameters ()
	      :duration (= ?duration 1280)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy1_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy1_cond)))
            (at end (take_part_City1_battle_going_on))
          )
  )
  (:durative-action City1_battle
		    :parameters ()
	      :duration (= ?duration 20)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City1_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy2_cond))
            (at end (not (take_part_City1_battle_going_on)))
          )
  )
  (:durative-action battles_dummy2
		    :parameters ()
	      :duration (= ?duration 50)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy2_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy2_cond)))
            (at end (take_part_City2_battle_going_on))
          )
  )
  (:durative-action City2_battle
		    :parameters ()
	      :duration (= ?duration 50)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City2_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy3_cond))
            (at end (not (take_part_City2_battle_going_on)))
          )
  )
  (:durative-action battles_dummy3
		    :parameters ()
	      :duration (= ?duration 80)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy3_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy3_cond)))
            (at end (take_part_City3_battle_going_on))
          )
  )
  (:durative-action City3_battle
		    :parameters ()
	      :duration (= ?duration 40)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City3_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy4_cond))
            (at end (not (take_part_City3_battle_going_on)))
          )
  )
  (:durative-action battles_dummy4
		    :parameters ()
	      :duration (= ?duration 30)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy4_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy4_cond)))
            (at end (take_part_City4_battle_going_on))
          )
  )
  (:durative-action City4_battle
		    :parameters ()
	      :duration (= ?duration 4)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City4_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy5_cond))
            (at end (not (take_part_City4_battle_going_on)))
          )
  )
  (:durative-action battles_dummy5
		    :parameters ()
	      :duration (= ?duration 46)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy5_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy5_cond)))
            (at end (take_part_City5_battle_going_on))
          )
  )
  (:durative-action City5_battle
		    :parameters ()
	      :duration (= ?duration 10)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City5_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy6_cond))
            (at end (not (take_part_City5_battle_going_on)))
          )
  )
  (:durative-action battles_dummy6
		    :parameters ()
	      :duration (= ?duration 50)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy6_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy6_cond)))
            (at end (take_part_City6_battle_going_on))
          )
  )
  (:durative-action City6_battle
		    :parameters ()
	      :duration (= ?duration 6)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City6_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy7_cond))
            (at end (not (take_part_City6_battle_going_on)))
          )
  )
  (:durative-action battles_dummy7
		    :parameters ()
	      :duration (= ?duration 60)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy7_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy7_cond)))
            (at end (take_part_City7_battle_going_on))
          )
  )
  (:durative-action City7_battle
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City7_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy8_cond))
            (at end (not (take_part_City7_battle_going_on)))
          )
  )
  (:durative-action battles_dummy8
		    :parameters ()
	      :duration (= ?duration 40)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy8_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy8_cond)))
            (at end (take_part_City8_battle_going_on))
          )
  )
  (:durative-action City8_battle
		    :parameters ()
	      :duration (= ?duration 4)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City8_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy9_cond))
            (at end (not (take_part_City8_battle_going_on)))
          )
  )
  (:durative-action battles_dummy9
		    :parameters ()
	      :duration (= ?duration 80)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy9_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy9_cond)))
            (at end (take_part_City9_battle_going_on))
          )
  )
  (:durative-action City9_battle
		    :parameters ()
	      :duration (= ?duration 10)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City9_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy10_cond))
            (at end (not (take_part_City9_battle_going_on)))
          )
  )
  (:durative-action battles_dummy10
		    :parameters ()
	      :duration (= ?duration 50)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (battles_dummy10_cond))
          )
		    :effect 
          (and
            (at end (not (battles_dummy10_cond)))
            (at end (take_part_City10_battle_going_on))
          )
  )
  (:durative-action City10_battle
		    :parameters ()
	      :duration (= ?duration 6)
		    :condition 
          (and
            (over all (battles_wrapper_going_on))
            (over all (take_part_City10_battle_going_on))
          )
		    :effect 
          (and
            (at end (battles_dummy11_cond))
            (at end (not (take_part_City10_battle_going_on)))
          )
  )
  (:durative-action take_part_City1_battle
		    :parameters (?p - person)
		    :duration (= ?duration 20)
		    :condition
          (and
            (at start
              (or
                (take_part_City1_battle_init ?p) 
                (<= (number_thrown_take_part_City1_battle ?p) 90)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City1 ?p))
            (over all (take_part_City1_battle_going_on))
            (at start (not (take_part_City1_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City1_battle_goal ?p))
          )
  )
  (:durative-action take_part_City2_battle
		    :parameters (?p - person)
		    :duration (= ?duration 50)
		    :condition
          (and
            (at start
              (or
                (take_part_City2_battle_init ?p) 
                (<= (number_thrown_take_part_City2_battle ?p) 80)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City2 ?p))
            (over all (take_part_City2_battle_going_on))
            (at start (not (take_part_City2_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City2_battle_goal ?p))
          )
  )
  (:durative-action take_part_City3_battle
		    :parameters (?p - person)
		    :duration (= ?duration 40)
		    :condition
          (and
            (at start
              (or
                (take_part_City3_battle_init ?p) 
                (<= (number_thrown_take_part_City3_battle ?p) 70)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City3 ?p))
            (over all (take_part_City3_battle_going_on))
            (at start (not (take_part_City3_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City3_battle_goal ?p))
          )
  )
  (:durative-action take_part_City4_battle
		    :parameters (?p - person)
		    :duration (= ?duration 4)
		    :condition
          (and
            (at start
              (or
                (take_part_City4_battle_init ?p) 
                (<= (number_thrown_take_part_City4_battle ?p) 80)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City4 ?p))
            (over all (take_part_City4_battle_going_on))
            (at start (not (take_part_City4_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City4_battle_goal ?p))
          )
  )
  (:durative-action take_part_City5_battle
		    :parameters (?p - person)
		    :duration (= ?duration 10)
		    :condition
          (and
            (at start
              (or
                (take_part_City5_battle_init ?p) 
                (<= (number_thrown_take_part_City5_battle ?p) 90)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City5 ?p))
            (over all (take_part_City5_battle_going_on))
            (at start (not (take_part_City5_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City5_battle_goal ?p))
          )
  )
  (:durative-action take_part_City6_battle
		    :parameters (?p - person)
		    :duration (= ?duration 6)
		    :condition
          (and
            (at start
              (or
                (take_part_City6_battle_init ?p) 
                (<= (number_thrown_take_part_City6_battle ?p) 50)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City6 ?p))
            (over all (take_part_City6_battle_going_on))
            (at start (not (take_part_City6_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City6_battle_goal ?p))
          )
  )
  (:durative-action take_part_City7_battle
		    :parameters (?p - person)
		    :duration (= ?duration 7)
		    :condition
          (and
            (at start
              (or
                (take_part_City7_battle_init ?p) 
                (<= (number_thrown_take_part_City7_battle ?p) 40)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City7 ?p))
            (over all (take_part_City7_battle_going_on))
            (at start (not (take_part_City7_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City7_battle_goal ?p))
          )
  )
  (:durative-action take_part_City8_battle
		    :parameters (?p - person)
		    :duration (= ?duration 40)
		    :condition
          (and
            (at start
              (or
                (take_part_City8_battle_init ?p) 
                (<= (number_thrown_take_part_City8_battle ?p) 80)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City8 ?p))
            (over all (take_part_City8_battle_going_on))
            (at start (not (take_part_City8_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City8_battle_goal ?p))
          )
  )
  (:durative-action take_part_City9_battle
		    :parameters (?p - person)
		    :duration (= ?duration 4)
		    :condition
          (and
            (at start
              (or
                (take_part_City9_battle_init ?p) 
                (<= (number_thrown_take_part_City9_battle ?p) 90)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City9 ?p))
            (over all (take_part_City9_battle_going_on))
            (at start (not (take_part_City9_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City9_battle_goal ?p))
          )
  )
  (:durative-action take_part_City10_battle
		    :parameters (?p - person)
		    :duration (= ?duration 40)
		    :condition
          (and
            (at start
              (or
                (take_part_City10_battle_init ?p) 
                (<= (number_thrown_take_part_City10_battle ?p) 70)
              )
            )
            (over all (soldier ?p))
            (over all (at_place City10 ?p))
            (over all (take_part_City10_battle_going_on))
            (at start (not (take_part_City10_battle_goal ?p)))
          )
		    :effect
          (and
            (at end (increase (battles_count ?p) 1))
            (at end (take_part_City10_battle_goal ?p))
          )
  )
  (:durative-action study_military_academy_in_City10
		    :parameters (?p - person)
	      :duration (= ?duration 600)
		    :condition
		      (and
		        (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place City10 ?p))
          )
		    :effect
          (and
            (at start (studying_military_academy ?p))
            (at end (not (studying_military_academy ?p)))
            (at end (study_military_academy_in_City10_goal ?p)) 
            (at end (soldier ?p))
          )
  )
  (:durative-action be_ascended_to_lieutenant
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition (at start (>= (battles_count ?p) 3))
		    :effect
          (and 
            (at end (lieutenant ?p))
            (at end (be_ascended_to_lieutenant_goal ?p))
          )
  )
  (:durative-action be_ascended_to_captain
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
		      (and
		        (at start (lieutenant ?p))
            (at start (>= (battles_count ?p) 6))
          )
		    :effect
          (and 
            (at end (captain ?p))
            (at end (be_ascended_to_captain_goal ?p))
          )
  )
  (:durative-action be_ascended_to_colonel
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
		      (and
		        (at start (captain ?p))
            (at start (>= (battles_count ?p) 10))
          )
		    :effect
          (and 
            (at end (colonel ?p))
            (at end (be_ascended_to_colonel_goal ?p))
          )
  )
  (:durative-action be_ascended_to_general
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
		      (and
		        (at start (colonel ?p))
            (at start (>= (battles_count ?p) 15))
          )
		    :effect
          (and 
            (at end (general ?p))
            (at end (be_ascended_to_general_goal ?p))
          )
  )
  (:durative-action learn_a_trick
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (studying_military_academy ?p))
          )
		    :effect 
          (at end (learn_a_trick_goal ?p))
  )
  (:durative-action learn_other_trick
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (studying_military_academy ?p))
          )
		    :effect 
          (at end (learn_other_trick_goal ?p))
  )
  (:durative-action study_magic_university_in_City5
		    :parameters (?p - person)
	      :duration (= ?duration 600)
		    :condition
		      (and
		        (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
          )
		    :effect
          (and
            (at start (studying_magic_university ?p))
            (at end (not (studying_magic_university ?p))) 
            (at end (mage ?p))
            (at end (study_magic_university_in_City5_goal ?p))
          )
  )
  (:durative-action learn_fireball_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_fireball_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_fireball_level1_goal ?p))
          )
  )
  (:durative-action learn_fireball_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_fireball_level1_goal ?p))
            (at start (not (learn_fireball_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_fireball_level2_goal ?p))
          )
  )
  (:durative-action learn_fireball_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_fireball_level2_goal ?p))
            (at start (not (learn_fireball_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_fireball_level3_goal ?p))
          )
  )
  (:durative-action learn_fireball_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_fireball_level3_goal ?p))
            (at start (not (learn_fireball_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_fireball_level4_goal ?p))
          )
  )
  (:durative-action learn_healing_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_healing_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_healing_level1_goal ?p))
          )
  )
  (:durative-action learn_healing_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_healing_level1_goal ?p))
            (at start (not (learn_healing_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_healing_level2_goal ?p))
          )
  )
  (:durative-action learn_healing_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_healing_level2_goal ?p))
            (at start (not (learn_healing_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_healing_level3_goal ?p))
          )
  )
  (:durative-action learn_healing_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_healing_level3_goal ?p))
            (at start (not (learn_healing_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_healing_level4_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_magic_shield_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_magic_shield_level1_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_magic_shield_level1_goal ?p))
            (at start (not (learn_magic_shield_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_magic_shield_level2_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_magic_shield_level2_goal ?p))
            (at start (not (learn_magic_shield_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_magic_shield_level3_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_magic_shield_level3_goal ?p))
            (at start (not (learn_magic_shield_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_magic_shield_level4_goal ?p))
          )
  )
  (:durative-action learn_freezing_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_freezing_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_freezing_level1_goal ?p))
          )
  )
  (:durative-action learn_freezing_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_freezing_level1_goal ?p))
            (at start (not (learn_freezing_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_freezing_level2_goal ?p))
          )
  )
  (:durative-action learn_freezing_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_freezing_level2_goal ?p))
            (at start (not (learn_freezing_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_freezing_level3_goal ?p))
          )
  )
  (:durative-action learn_freezing_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_freezing_level3_goal ?p))
            (at start (not (learn_freezing_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_freezing_level4_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_enchanting_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_enchanting_level1_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_enchanting_level1_goal ?p))
            (at start (not (learn_enchanting_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_enchanting_level2_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_enchanting_level2_goal ?p))
            (at start (not (learn_enchanting_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_enchanting_level3_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (at start (learn_enchanting_level3_goal ?p))
            (at start (not (learn_enchanting_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_enchanting_level4_goal ?p))
          )
  )
  (:durative-action get_first_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (mage ?p))
            (at start (>= (level1_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_first_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action get_second_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (get_first_degree_of_initiation_goal ?p))
            (at start (>= (level2_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_second_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action get_third_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (get_second_degree_of_initiation_goal ?p))
            (at start (>= (level3_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_third_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action get_fourth_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
            (at start (battles_wrapper_started))
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (get_third_degree_of_initiation_goal ?p))
            (at start (>= (level4_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_fourth_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action conferences_wrapper
		    :parameters ()
	      :duration (= ?duration 1963)
		    :condition (at start (conferences_wrapper_cond))
		    :effect 
          (and
            (at start (conferences_wrapper_going_on))
            (at start (conferences_dummy1_cond))
            (at start (not (conferences_wrapper_cond)))
            (at start (conferences_wrapper_started))
            (at end (not (conferences_wrapper_going_on)))
          )
  )
  (:durative-action conferences_dummy1
		    :parameters ()
	      :duration (= ?duration 1600)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy1_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy1_cond)))
            (at end (attend_magic_conference_in_City1_going_on))
          )
  )
  (:durative-action City1_magic_conference
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City1_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy2_cond))
            (at end (not (attend_magic_conference_in_City1_going_on)))
          )
  )
  (:durative-action conferences_dummy2
		    :parameters ()
	      :duration (= ?duration 100)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy2_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy2_cond)))
            (at end (attend_magic_conference_in_City2_going_on))
          )
  )
  (:durative-action City2_magic_conference
		    :parameters ()
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City2_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy3_cond))
            (at end (not (attend_magic_conference_in_City2_going_on)))
          )
  )
  (:durative-action conferences_dummy3
		    :parameters ()
	      :duration (= ?duration 80)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy3_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy3_cond)))
            (at end (attend_magic_conference_in_City3_going_on))
          )
  )
  (:durative-action City3_magic_conference
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City3_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy4_cond))
            (at end (not (attend_magic_conference_in_City3_going_on)))
          )
  )
  (:durative-action conferences_dummy4
		    :parameters ()
	      :duration (= ?duration 50)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy4_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy4_cond)))
            (at end (attend_magic_conference_in_City4_going_on))
          )
  )
  (:durative-action City4_magic_conference
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City4_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy5_cond))
            (at end (not (attend_magic_conference_in_City4_going_on)))
          )
  )
  (:durative-action conferences_dummy5
		    :parameters ()
	      :duration (= ?duration 120)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy5_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy5_cond)))
            (at end (attend_magic_conference_in_City5_going_on))
          )
  )
  (:durative-action City5_magic_conference
		    :parameters ()
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City5_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy6_cond))
            (at end (not (attend_magic_conference_in_City5_going_on)))
          )
  )
  (:durative-action attend_magic_conference_in_City1
		    :parameters (?p - person)
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (at_place City1 ?p))
            (over all (attend_magic_conference_in_City1_going_on))
            (over all (not (attend_magic_conference_in_City1_goal ?p)))
            (at start (get_first_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City1_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City2
		    :parameters (?p - person)
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (at_place City2 ?p))
            (over all (attend_magic_conference_in_City2_going_on))
            (over all (not (attend_magic_conference_in_City2_goal ?p)))
            (at start (get_first_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City2_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City3
		    :parameters (?p - person)
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (at_place City3 ?p))
            (over all (attend_magic_conference_in_City3_going_on))
            (over all (not (attend_magic_conference_in_City3_goal ?p)))
            (at start (get_second_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City3_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City4
		    :parameters (?p - person)
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (at_place City4 ?p))
            (over all (attend_magic_conference_in_City4_going_on))
            (over all (not (attend_magic_conference_in_City4_goal ?p)))
            (at start (get_second_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City4_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City5
		    :parameters (?p - person)
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (at_place City5 ?p))
            (over all (attend_magic_conference_in_City5_going_on))
            (over all (not (attend_magic_conference_in_City5_goal ?p)))
            (at start (get_third_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City5_goal ?p))
          )
  )
  (:durative-action go_to_the_theatre
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (go_to_the_theatre_goal ?p))
  )
  (:durative-action go_to_a_trip
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (go_to_a_trip_goal ?p))
  )
  (:durative-action go_to_another_trip
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (go_to_another_trip_goal ?p))
  )
  (:durative-action find_a_quaterfoil
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (find_a_quaterfoil_goal ?p))
  )
  (:durative-action sing_drunk_in_a_pub
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (sing_drunk_in_a_pub_goal ?p))
  )
  (:durative-action survive_a_bear_attack
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (survive_a_bear_attack_goal ?p))
  )
  (:durative-action meet_a_famous_hero
		  :parameters (?p - person)
	    :duration (= ?duration 1)
	    :condition
        (and
          (at start (battles_wrapper_started))
		      (at start (conferences_wrapper_started))
        )
		  :effect 
        (at end (meet_a_famous_hero_goal ?p))
  )
)
